struct WNDCLASSEX 
{
    def cbSize as INT;
    def style as unsigned int;
    def lpfnWndProc as POINTER;
    def cbClsExtra as INT;
    def cbWndExtra as INT;
    def hInstance as unsigned int;
    def hIcon as unsigned int;
    def hCursor as unsigned int;
    def hbrBackground as unsigned int;
    def lpszMenuName as POINTER;
    def lpszClassName as POINTER;
    def hIconSm as unsigned int;
}

struct PAINTSTRUCT
{
    DEF hdc as unsigned int; 
    DEF fErase as INT; 
    DEF rcPaint as RECT;
    DEF fRestore as INT; 
    DEF fIncUpdate as INT;
    DEF rgbReserved[32] as unsigned byte; 
}

struct CLIENTCREATESTRUCT
{
    DEF hWindowMenu as unsigned int;
    DEF idFirstChild as unsigned int;
}

struct CONTROLENUMSTRUCT
{
	DEF hParent as unsigned int;
	DEF hDC as unsigned int;
}

struct TOOLENUMSTRUCT
{
	DEF ClientRect as RECT;
	DEF bUpdate as INT;
}


struct LOGPEN
{
 DEF lopnStyle as unsigned int;
 DEF lopnWidth as POINT;
 DEF lopnColor as unsigned int;
}

struct LOGFONT
{
   DEF lfHeight as INT;
   DEF lfWidth as INT;
   DEF lfEscapement as INT;
   DEF lfOrientation as INT;
   DEF lfWeight as INT;
   DEF lfItalic as unsigned byte;
   DEF lfUnderline as unsigned byte;
   DEF lfStrikeOut as unsigned byte;
   DEF lfCharSet as unsigned byte;
   DEF lfOutPrecision as unsigned byte;
   DEF lfClipPrecision as unsigned byte;
   DEF lfQuality as unsigned byte;
   DEF lfPitchAndFamily as unsigned byte;
   DEF lfFaceName[32] as unsigned byte;
}

struct MSG
{
    DEF hwnd as unsigned int;	 
    DEF message as unsigned int; 
    DEF wParam as INT; 
    DEF lParam as INT; 
    DEF time as unsigned int; 
    DEF pt as POINT; 
}

struct DRAWITEMSTRUCT
{
    DEF CtlType as unsigned int;
    DEF CtlID as unsigned int; 
    DEF itemID as unsigned int; 
    DEF itemAction as unsigned int; 
    DEF itemState as unsigned int; 
    DEF hwndItem as unsigned int; 
    DEF hDC as unsigned int; 
    DEF rcItem as RECT;
    DEF itemData as unsigned int; 
}

struct LV_ITEM
{
    DEF mask as unsigned int;  
    DEF iItem as INT;
    DEF iSubItem as INT;
    DEF state as unsigned int; 
    DEF stateMask as unsigned int; 
    DEF pszText as POINTER;
    DEF cchTextMax as INT;
    DEF iImage as INT;
    DEF lParam as INT;
}

struct LV_COLUMN 
{
    DEF mask as unsigned int;  
    DEF fmt as INT;
    DEF cx as INT;
    DEF pszText as POINTER;
    DEF cchTextMax as INT;
    DEF iSubItem as INT;
}

struct LV_FINDINFO
{
    DEF flags as unsigned int;  
    DEF psz as POINTER;
    DEF lParam as INT;
    DEF pt as POINT ;
    DEF vkDirection as unsigned int; 
}
